# Configuration file for ReadTheDocs, used to render the CV32E40S
# User Manual to https://docs.openhwgroup.org/projects/cv32e40s-user-manual.
# SPDX-License-Identifier:Apache-2.0 WITH SHL-2.1

version: 2

build:
  os: "ubuntu-20.04"
  tools:
    python: "3.9"

# Build from the docs/user_manual/source directory with Sphinx
sphinx:
  configuration: docs/user_manual/source/conf.py

# Explicitly set the Python requirements
python:
  install:
    - requirements: docs/user_manual/requirements.txt
